function SaveFigure(f,savepath,name)
%Saves a single figure that contains up to axes,surface plots, line plots
%and area plots as fig, png and eps files

if ~ exist(savepath,'dir')==7
    mkdir(savepath);
end

savefig(f,[savepath  name '.fig'])
saveas(f,[savepath  name '.png'])


ax = findall(f,'type','axes');
pl = findobj(f, 'type', 'surface');
lin = findobj(f, 'type', 'line');
ar = findobj(f, 'type', 'Area');
ptc = findobj(f, 'type', 'Patches');
cb = findall(f,'type','ColorBar');
%pos1 = ax(2).Position;

set(ax,'Visible','on');
set(cb,'Visible','on');
set(lin,'Visible','off');
set(ar,'Visible','off');
set(ptc,'Visible','off');
set(pl,'Visible','off');
saveas(f,[savepath  name '_axes.eps'],'epsc')

set(ax,'Visible','off');
set(cb,'Visible','off');
set(lin,'Visible','on');
set(ar,'Visible','off');
%set(ptc,'Visible','on');
set(pl,'Visible','off');
saveas(f,[savepath  name '_lines.eps'],'epsc')

set(ax,'Visible','off');
set(cb,'Visible','off');
set(pl,'Visible','on');
set(lin,'Visible','off');
set(ar,'Visible','on');
saveas(f,[savepath  name '_plot.tif'])

set(ax,'Visible','on');
set(cb,'Visible','on');
set(pl,'Visible','on');
set(lin,'Visible','on');
set(ar,'Visible','on');

end

