function [triseV,tfallI] = computeRiseFall(T)
%Computes rise and fall time of a Vstep measurement

idx = (T.t > 0.8); %crops out any artifact due to initial voltage ramp
y = abs(T.V(idx)); %offset the curve by the end value
limh = 0.9 * mean(y(1:500)); %finds the value correspondig to 90% of the initial voltage
liml = 1.1 * mean(y(end-500:end)); %finds the value correspondig to 10% of the initial voltage

idx = T.t >=0.99999; %considers only points after the voltage switch
x = T.t(idx);
y = abs(T.V(idx)); %offset the curve by the end value
[~,idxh] = min(abs(y - limh));
[~,idxl] = min(abs(y - liml));
triseV = x(idxl)-x(idxh);

limh = 0.9 * mean(T.I(1:500));
liml = 0.1 * mean(T.I(end-500:end));
th = min(abs(T.I - limh));
tl = min(abs(T.I - liml));
tfallI = th-tl;


%%
figure
hold on
plot(T.t,abs(T.V ))
scatter(x(idxl),y(idxl))
scatter(x(idxh),y(idxh))
xlim([0.9995 1.0005])
%%
figure
hold on
plot(x,y)
xlim([0.9995 1.0005])

end

