close all
clear
clc
%%
col = linspecer(4);
T = loadVstep('Vstep191030_8_572.dat','D:\Luca\Analysis\Data\PCB amp test\PCB Vstep\'); %10MOhms
T2 = loadVstep('Vstep191030_9_572.dat','D:\Luca\Analysis\Data\PCB amp test\PCB Vstep\'); %100MOhms
T3 = loadVstep('Vstep191030_10_572.dat','D:\Luca\Analysis\Data\PCB amp test\PCB Vstep\'); %1GOhms
T4 = loadVstep('Vstep191030_11_572.dat','D:\Luca\Analysis\Data\PCB amp test\PCB Vstep\'); %10GOhms
%T5 = loadVstep('Vstep191030_12_572.dat','D:\Luca\Analysis\Data\PCB amp test\PCB Vstep\'); %50GOhms
savepath = 'D:\Luca\SURFdrive\Dissertation\Chap 2\amplifier\';
name = 'Vstep_comparison';

%% plots Vout

F = figure('position',[50 50 940 800],'paperposition',[0 0 13 14]);
hold on
plot(T.t-1,T.V,'linewidth',2,'color',col(1,:))
plot(T2.t-1,T2.V,'linewidth',2,'color',col(2,:))
plot(T3.t-1,T3.V,'linewidth',2,'color',col(3,:))
plot(T4.t-1,T4.V,'linewidth',2,'color',col(4,:))
%plot(T5.t,T5.V,'linewidth',2)

xlim([-0.2 0.3])
xlabel('time (s)')
ylabel('Vout (V)')
set(gca,'fontsize',20,'fontweight','normal')
set(findall(gcf,'type','text'),'fontsize',20,'fontweight','normal')
set(gca,'linewidth',0.5,'box','on')
set(gcf,'color','white')
set(gca,'TickLength',[0.02, 0.002])
legend({'10 M\Omega','100 M\Omega','1 G\Omega','10 G\Omega'})
set(findall(gcf,'type','text'),'fontsize',18,'fontweight','normal','FontName','arial')
set(findall(gcf,'type','axes'),'fontsize',18,'fontweight','normal','FontName','arial')
SaveFigure(F,savepath,name)
saveas(F,[savepath name '.eps'],'epsc')

%% Plots zoomed in

F2 = figure('Position',[100 100 800 600]);
hold on
plot((T.t-1)*1e3,T.V,'linewidth',2,'color',col(1,:))
plot((T2.t-1)*1e3,T2.V,'linewidth',2,'color',col(2,:))
% plot((T3.t-1)*1e3,T3.V,'linewidth',2,'color',col(3,:))
% plot((T4.t-1)*1e3,T4.V,'linewidth',2,'color',col(4,:))
%plot(T5.t,T5.V,'linewidth',2)

xlim([-2 3])
xlabel('time (ms)')
ylabel('Vout (V)')
set(gca,'fontsize',20,'fontweight','normal')
set(findall(gcf,'type','text'),'fontsize',20,'fontweight','normal')
set(gca,'linewidth',1.5,'box','on')
set(gcf,'color','white')
set(gca,'TickLength',[0.02, 0.002])
legend({'10 M\Omega','100 M\Omega','1 G\Omega','10 G\Omega'})
SaveFigure(F,savepath,[name '_zoomed'])

%% plots I
% 
% figure('Position',[100 100 800 600])
% hold on
% plot(T.t,T.I,'linewidth',2,'color',col(1,:))
% plot(T2.t,T2.I,'linewidth',2,'color',col(2,:))
% plot(T3.t,T3.I,'linewidth',2,'color',col(3,:))
% plot(T4.t,T4.I,'linewidth',2,'color',col(4,:))
% %plot(T5.t,T5.I,'linewidth',2)
% 
% set(gca,'yscale','log')
% xlim([0.9 1.5])
% xlabel('time (s)')
% ylabel('Current (I)')
% set(gca,'fontsize',20,'fontweight','normal')
% set(findall(gcf,'type','text'),'fontsize',20,'fontweight','normal')
% set(gca,'linewidth',1.5,'box','on')
% set(gcf,'color','white')
% set(gca,'TickLength',[0.02, 0.002])
% legend({'10 M\Omega','100 M\Omega','1 G\Omega','10 G\Omega'})
