close all
clear
clc
%% Time constant from voltage and settling time from current extracted from Vstep_fit_x
%x = {8 9 10 11}
V1 = [10 10 10 10];
R1 = [10e6 100e6 1e9 10e9]; 
tc1 = [5.7E-05 3.2E-04 1.5E-02 3.6E-02]; 
ts1 = [1.07E-04 7.52E-04 2.88E-02 1.40E-01]; 

%x = {2 3 4}
V2 = [10 1 0.1];
R2 = [10e6 10e6 10e6]; 
tc2 = [8.7E-05 6.1E-04 5.4E-03];
ts2 = [1.37E-04 2.08E-03 1.85E-02];

%x = {}
% V3 = [100 10];
% R3 = [10e9 10e9];
% tc3 = [2.3E-02 4.4E-02];
% ts3 = [4.35E-02 2.07E-01];

col = linspecer(2);

savepath = 'D:\Luca\SURFdrive\Dissertation\Chap 2\amplifier\';
name = 'Vstep_time_constants';

%%

F = figure('position',[50 50 940 800],'paperposition',[0 0 13 14]);

h1 = subplot(2,1,1);
h2 = subplot(2,1,2);
hold(h1,'on')
hold(h2,'on')

plot(h1,R1,tc1,'-o','linewidth',2,'color',col(1,:),'MarkerFaceColor',col(1,:))
plot(h1,R1,ts1,'-s','linewidth',2,'color',col(2,:),'MarkerFaceColor',col(2,:))
set(h1,'yscale','log')
set(h1,'xscale','log')
xlabel(h1,'Resistance (\Omega)')
ylabel(h1,'Time (s)')
xlim(h1,[8e6 1.5e10])
ylim(h1,[2e-5 0.2])
legend(h1,{'time constant','settling time'},'location','southeast')
set(h1,'linewidth',0.5,'box','on')
set(h1,'TickLength',[0.02, 0.002])

h1.XTick = [1e7 1e8 1e9 1e10];
h1.XMinorTick = 'off';
h1.XTickLabel = {'10M','100M','1G','10G'};
h1.YTick = [1e-4 1e-3 1e-2 1e-1];

plot(h2,V2,tc2,'-o','linewidth',2,'color',col(1,:),'MarkerFaceColor',col(1,:))
plot(h2,V2,ts2,'-s','linewidth',2,'color',col(2,:),'MarkerFaceColor',col(2,:))
set(h2,'yscale','log')
set(h2,'xscale','log')
xlim(h2,[0.08 15])
ylim(h2,[2e-5 0.2])
xlabel(h2,'Final Voltage (mV)')
ylabel(h2,'Time (s)')
legend(h2,{'time constant','settling time'})
set(h2,'linewidth',0.5,'box','on')
set(h2,'TickLength',[0.02, 0.002])
h2.XTick = [0.1 1 10];
h2.XMinorTick = 'off';
h2.XTickLabel = {'0.1','1','10'};
h2.YTick = [1e-4 1e-3 1e-2 1e-1];

set(findall(gcf,'type','text'),'fontsize',18,'fontweight','normal','FontName','arial')
set(findall(gcf,'type','axes'),'fontsize',18,'fontweight','normal','FontName','arial')
%set(gcf,'color','white')
SaveFigure(F,savepath,name)
saveas(F,[savepath name '.eps'],'epsc')