function rsquare = VstepFitR2(limits,X)

%   returns the Rsquared values obtained by fitting 
%   log(X(limits(1):limits(2),2)- X(end,2)) = log(A) + B.*X(limits(1):limits(2),1)
%   used to optimize the limits to get the best fit to X

x = X(:,1);
y = X(:,2);

%offset the curve by the end value 
offset = mean(y(end-500:end));

%selects the limited part of the input vector
xfit = x(x>=limits(1) &x<=limits(2));
tmpy = y(x>=limits(1) &x<=limits(2))-offset;
yfit = log(abs(tmpy));

[~,gof] = fit(xfit,yfit,'poly1');
rsquare = gof.rsquare;

end

