function T = loadVstep(file,path)

% Set up the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 3);

% Specify range and delimiter
opts.DataLines = [17, Inf];
opts.Delimiter = "\t";

% Specify column names and types
opts.VariableNames = ["t", "I", "V"];
opts.VariableTypes = ["double", "double", "double"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
%opts = setvaropts(opts, "VarName4", "WhitespaceRule", "preserve");
%opts = setvaropts(opts, "VarName4", "EmptyFieldRule", "auto");

% Import the data
T = readtable([path file], opts);


end

